using System;
using System.IO;
using System.Collections.Generic;
using System.Text;

namespace Exercises_C_Sharp.Eigenaufgaben
{
    // Dotnet bietet eine Möglichkeit, Benchmarks für gewisse Aufgaben zu erstellen. Dieses Tool bzw. diese Klasse heißt "BenchmarkRunner". Das heißt, der Code wird ausgeführt und die Zeit der Ausführung gemessen. Dafür müssen Sie folgende Attribute in der zu prüfenden Klasse setzen: [Params(1000,10_000)], [Benchmark]

    class Exercise_1
    {
        public static void Start()
        {
            //Starten Sie hier den Benchmark:
            //Code START
            
            //Code ENDE
        }
    }
    class StringTest
    {
        //Setzen Sie die Attribute so, dass ein Vergleich zwischen den Geschwindigkeiten beider Methoden stattfinden kann. 
        //Code START
        public int Amounts {get;set;}
        public string WithStringBuilder()
        {
            StringBuilder sb = new();
            for(int i = 0; i < Amounts; i++)
                sb.Append(i);
            
            return sb.ToString();
        }
        public string WithPlusOperator()
        {
            string result = "";
            for(int i = 0; i < Amounts; i++)
                result += i;
            
            return result;
        }
        //Code ENDE
    }
}